Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Enumerations | Functions | Variables
testing::internal2 Namespace Reference

## Classes
class | TypeWithoutFormatter
class | TypeWithoutFormatter< T, kConvertibleToInteger >
class | TypeWithoutFormatter< T, kProtobuf >

## Enumerations
enum | TypeKind { kProtobuf, kConvertibleToInteger, kOtherType, kProtobuf, kConvertibleToInteger, kOtherType, kProtobuf, kConvertibleToInteger, kOtherType }
enum | TypeKind { kProtobuf, kConvertibleToInteger, kOtherType, kProtobuf, kConvertibleToInteger, kOtherType, kProtobuf, kConvertibleToInteger, kOtherType }
enum | TypeKind { kProtobuf, kConvertibleToInteger, kOtherType, kProtobuf, kConvertibleToInteger, kOtherType, kProtobuf, kConvertibleToInteger, kOtherType }

## Functions
GTEST_API_ void | PrintBytesInObjectTo (const unsigned char *obj_bytes, size_t count,::std::ostream *os)
template<typename Char , typename CharTraits , typename T >
::std::basic_ostream< Char, CharTraits > & | operator<< (::std::basic_ostream< Char, CharTraits > &os, const T &x)
void | PrintBytesInObjectTo (const unsigned char *obj_bytes, size_t count, ostream *os)

## Variables
const size_t | kProtobufOneLinerMaxLength = 50

## Enumeration Type Documentation

enum TypeKind

Enumerator
kProtobuf |
kConvertibleToInteger |
kOtherType |
kProtobuf |
kConvertibleToInteger |
kOtherType |
kProtobuf |
kConvertibleToInteger |
kOtherType |

enum TypeKind

Enumerator
kProtobuf |
kConvertibleToInteger |
kOtherType |
kProtobuf |
kConvertibleToInteger |
kOtherType |
kProtobuf |
kConvertibleToInteger |
kOtherType |

enum TypeKind

Enumerator
kProtobuf |
kConvertibleToInteger |
kOtherType |
kProtobuf |
kConvertibleToInteger |
kOtherType |
kProtobuf |
kConvertibleToInteger |
kOtherType |

## Function Documentation

::std::basic_ostream<Char, CharTraits>& testing::internal2::operator<< | ( | ::std::basic_ostream< Char, CharTraits > & | os,
|  | const T & | x
| ) |  |

GTEST_API_ void PrintBytesInObjectTo | ( | const unsigned char * | obj_bytes,
|  | size_t | count,
|  | ::std::ostream * | os
| ) |  |

void PrintBytesInObjectTo | ( | const unsigned char * | obj_bytes,
|  | size_t | count,
|  | ostream * | os
| ) |  |

## Variable Documentation

const size_t kProtobufOneLinerMaxLength = 50